com.trendmicro.ds.platform.rest.object.scheduledtask

## Class WeeklyScheduleParameters

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.scheduledtask.WeeklyScheduleParameters

- All Implemented Interfaces:
    IScheduleParameters

      public class WeeklyScheduleParameters
      extends java.lang.Object
      implements IScheduleParameters

  Parameters for weekly schedule.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `WeeklyScheduleParameters.Day` Days of the week when the task will run.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WeeklyScheduleParameters()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WeeklyScheduleParameters` | `addDay(WeeklyScheduleParameters.Day day)` Add a day to the days when the task will run.
    `java.util.List<WeeklyScheduleParameters.Day>` | `getDays()` Get the days of the week when the task will run.
    `java.lang.Integer` | `getInterval()` Get the interval (weeks between runs).
    `void` | `setDays(java.util.List<WeeklyScheduleParameters.Day> days)` Set the days of the week when the task will run.
    `void` | `setInterval(java.lang.Integer interval)` Set the interval (weeks between runs).
    `java.lang.String` | `toString()`
    `WeeklyScheduleParameters` | `withDays(java.util.List<WeeklyScheduleParameters.Day> days)` Set the days of the week when the task will run.
    `WeeklyScheduleParameters` | `withDays(WeeklyScheduleParameters.Day... days)` Set the days of the week when the task will run.
    `WeeklyScheduleParameters` | `withInterval(java.lang.Integer interval)` Set the interval (weeks between runs).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WeeklyScheduleParameters

          public WeeklyScheduleParameters()

  - ### Method Detail

    - #### getInterval

          public java.lang.Integer getInterval()

      Get the interval (weeks between runs).
      Returns:
        the interval.

    - #### setInterval

          public void setInterval(java.lang.Integer interval)

      Set the interval (weeks between runs).
      Parameters:
        `interval` - the interval.

    - #### withInterval

          public WeeklyScheduleParameters withInterval(java.lang.Integer interval)

      Set the interval (weeks between runs).
      Parameters:
        `interval` - the interval.
      Returns:
        the updated WeeklyScheduleParameters object.

    - #### getDays

          public java.util.List<WeeklyScheduleParameters.Day> getDays()

      Get the days of the week when the task will run.
      Returns:
        the days of the week when the task will run.

    - #### setDays

          public void setDays(java.util.List<WeeklyScheduleParameters.Day> days)

      Set the days of the week when the task will run.
      Parameters:
        `days` - the days of the week when the task will run.

    - #### withDays

          public WeeklyScheduleParameters withDays(java.util.List<WeeklyScheduleParameters.Day> days)

      Set the days of the week when the task will run.
      Parameters:
        `days` - the days of the week when the task will run.
      Returns:
        the updated DailyScheduleParameters object.

    - #### withDays

          public WeeklyScheduleParameters withDays(WeeklyScheduleParameters.Day... days)

      Set the days of the week when the task will run.
      Parameters:
        `days` - the days of the week when the task will run.
      Returns:
        the updated WeeklyScheduleParameters object.

    - #### addDay

          public WeeklyScheduleParameters addDay(WeeklyScheduleParameters.Day day)

      Add a day to the days when the task will run.
      Parameters:
        `day` - the day to add to the days when the task will run.
      Returns:
        the updated WeeklyScheduleParameters object.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.